# Recursos Avançados do amaroK

## Atalhos de Teclado

O &amarok; usa os atalhos de teclado, como a maioria dos outros aplicativos; abaixo, encontra-se uma listagem desses atalhos e das suas ações respectivas. Os atalhos globais podem ser configurados clicando com o &RMB; na janela do Leitor e selecionando a opção Configurar os Atalhos Globais.... Os atalhos do &amarok; podem ser configurados clicando com o &RMB; na janela do Leitor e selecionando a opção Configurar Atalhos...

Você poderá atribuir teclas multimídia para funcionarem como atalhos do &amarok;, tornando o seu teclado um centro de controle do &amarok;.

Os atalhos globais são:

Combinação de Teclas | Ação
--- | ---
Win X | Tocar
Win C | Pausa
Win V | Parar
Win B | Próxima Faixa
Win Z | Faixa Anterior
Win KP_Add | Aumentar o Volume
Win KP_Subtract | Diminuir o Volume
Win A | Adicionar Mídia
Win P | Alternar Lista
Win O | Mostrar o OSD

Os atalhos do &amarok; são:

Combinação de Teclas | Ação
--- | ---
Ctrl C | Copiar
Ctrl KP_Enter | Ir para a Atual
Ctrl Q | Sair
Ctrl Shift Z | Refazer
Ctrl S | Salvar a Lista de Reprodução
Ctrl A | Selecionar Tudo
Ctrl H | Embaralhar
Ctrl Z | Desfazer

Os atalhos do Navegador na Lista de Reprodução são:

Combinação de Teclas | Ação
--- | ---
Espaço | Carregar Lista
F2 | Renomear Lista
Backspace | Remover Lista

## A Interface DCOP

A interface de DCOP do amaroK oferece-lhe uma forma simples de controlar o amaroK com os seus próprios programas personalizados.

A interface de DCOP do amaroK tem várias funções genéricas que poderão ser encontradas noutros aplicativos do KDE. Esta seção pretende descrever as funções do DCOP para o leitor. Um exemplo da função de DCOP pause seria semelhante ao seguinte:

&percnt;dcop amarok player pause

Função de DCOP | Ação
--- | ---
album | A função album retorna o álbum da música que está tocando atualmente.
artist | A função artist retorna o artista da música que está tocando atualmente.
bitrate | A função bitrate retorna a taxa de amostragem em bits da música que está tocando atualmente.
comment | A função comment retorna o comentário da música que está tocando atualmente.
coverImage | A função coverImage retorna o URL da imagem de capa da faixa atual.
currentTime | A função currentTime retorna a posição (mm:ss) da música que está tocando atualmente.
encodedURL | A função encodedURL retorna o URL da faixa atual com os espaços codificados.
genre | A função genre retorna o gênero da música que está tocando atualmente.
nowPlaying | A função nowPlaying retorna o texto "Artista - Título" da faixa que está tocando atualmente. Se uma das marcas ID3 estiver em branco, só o "Artista" ou o "Título" são mostrados (sem o "-").
title | A função title retorna o título da música que está tocando atualmente.
totalTime | A função totalTime retorna o tempo total (mm:ss) da música que está tocando atualmente.
track | A função track retorna o número da faixa atual.
year | A função year retorna o ano da música que está tocando atualmente.
isPlaying | A função isPlaying retorna um valor 'true' (verdadeiro) ou 'false' (falso) para indicar se o leitor está tocando ou não.
randomModeStatus | A função randomModeStatus retorna o estado do Modo Aleatório com um valor verdadeiro ('true') ou falso ('false').
repeatPlaylistStatus | A função repeatPlaylistStatus retorna o estado da Repetição da Lista de Músicas com um valor verdadeiro ('true') ou falso ('false').
repeatTrackStatus | A função repeatTrackStatus retorna o valor da Repetição da Faixa com um valor verdadeiro ('true') ou falso ('false').
getVolume | A função getVolume retorna o nível do volume, com um valor entre 0-100.
sampleRate | A função sampleRate retorna a taxa de amostragem da faixa atual.
score | A função score retorna a pontuação da faixa atual.
status | A função status retorna um valor para o estado do motor, sendo 2 para o estado de reprodução, 1 para pausa e 0 para inativo.
trackCurrentTime | A função trackCurrentTime retorna um valor com o tempo decorrido na faixa em segundos.
trackTotalTime | A função trackTotalTime retorna o valor do tempo total da faixa em segundos.
addMedia | A função addMedia é usada para adicionar arquivos únicos à lista de músicas.
addMediaList | A função addMediaList é usada para adicionar vários arquivos à lista de músicas.
clearPlaylist | A função clearPlaylist é usada para limpar a lista por completo.
configEqualizer | A função configEqualizer apresenta a janela de configuração do equalizador.
enableOSD | A função enableOSD permite-lhe ativar ou desativar a Visualização na Tela ou OSD com um valor 'true' (verdadeiro) ou 'false' (falso)
enableRandomMode | A função enableRandomMode permite-lhe ativar ou desativar o modo aleatório com um valor 0 (desativado) ou 1 (ativo).
mute | A função mute permite-lhe emudecer ou ativar o som da faixa que está sendo tocada.
next | A função next avança uma faixa no leitor.
pause | A função pause coloca em pausa a faixa atual.
play | A função play inicia o leitor no ponto em que foi parado da última vez.
playMedia | A função playMEDIA inicia a reprodução de uma faixa indicada peloa seu KURL.
playPause | A função playPause inicia o leitor se já está parado ou em pausa. Esta função também coloca o leitor em pausa se já estava tocando uma faixa.
prev | A função prev recua uma faixa no leitor.
saveCurrentPlaylist | A função saveCurrentPlaylist salva a lista de reprodução atual como ~/.kde/share/apps/amarok/current.xml.
scanCollection | A função scanCollection efetua uma pesquisa manual sobre a sua coleção.
seek | A função seek é usada para se posicionar numa faixa com base num valor indicado em segundos.
seekRelative | A função seekRelative é usada para se posicionar de forma relativa numa faixa com base num valor indicado em segundos.
setEqualizerEnabled | A função setEqualizerEnabled é usada para ativar o equalizador com um valor booleano verdadeiro ou falso.
setVolume | A função setVolume ajusta o volume para um nível indicado com um valor entre 0-100.
showOSD | A função showOSD apresenta o OSD para mostrar informações da faixa atual.
stop | A função stop irá parar o leitor se ele já estiver tocando.
togglePlaylist | A função togglePlaylist ativa ou desativa a utilização da janela da lista de músicas.
volumeDown | A função volumeDown abaixa o volume uma posição.
volumeUp | A função volumeUp sobe o volume uma posição.

## Opções da Linha de Comando

O amaroK suporta a utilização das opções padrão da linha de comando para o Qt e o &kde;. O amaroK tem também as suas opções específicas do aplicativo.

As opções do Qt e do kde:

Opção | Ação
--- | ---
--help | Mostra a ajuda sobre as opções.
--help-qt | Mostra as opções específicas do Qt.
--help-kde | Mostra opções específicas do KDE.
--help-all | Mostra todas as opções.
--author | Mostra informações sobre o autor.
-v, --version | Mostra a versão.
--license | Mostra informações sobre a licença.

As opções do amaroK:

As opções do &amarok; foram concebidas para serem utilizadas enquanto o &amarok; está rodando.

Opção | Ação
--- | ---
-r, --previous | Passa à faixa anterior na lista de reprodução.
-p, --play | Inicia a reprodução da lista de músicas atual.
-s, --stop | Para a reprodução.
--pause | Pausa a reprodução.
-f, --next | Passa para a próxima faixa na lista de reprodução.
-a, --append | Adiciona arquivos/URLs à lista de reprodução.
-e, --enqueue | Veja 'append', disponível por razões de compatibilidade.
--queue | Coloca arquivos/URLs na lista após a faixa atual.
-m, --toggle-playlist-window | Ativa ou desativa a janela da lista de músicas.
--wizard | Lança o assistente da Primeira Execução.
--engine "nome" | Inicia o &amarok; como o motor "name".